# Namespace goog.dom.vendor

code »
Show:Public Protected Private

## Global Functions

code »goog.dom.vendor.getPrefixedEventType ( eventType ) ⇒ `string`

Parameters

eventType: `string`
  An event type.

Returns

A lower-cased vendor prefixed event type.

code »goog.dom.vendor.getPrefixedPropertyName ( propertyName, opt_object ) ⇒ `?string`

Parameters

propertyName: `string`
  A property name.
opt_object: `!Object=`
  If provided, we verify if the property exists in the object.

Returns

A vendor prefixed property name, or null if it does not exist.

code »goog.dom.vendor.getVendorJsPrefix ( ) ⇒ `?string`

Returns the JS vendor prefix used in CSS properties. Different vendors use different methods of changing the case of the property names.

Returns

The JS vendor prefix or null if there is none.

code »goog.dom.vendor.getVendorPrefix ( ) ⇒ `?string`

Returns the vendor prefix used in CSS properties.

Returns

The vendor prefix or null if there is none.